%global libgtop2_version 2.37.2
%global libhandy_version 1.5.0

Name:           gnome-system-monitor
Version:        45.0.2
Release:        1
Summary:        A process and system monitor for the GNOME desktop
License:        GPLv2+
URL:            https://wiki.gnome.org/Apps/SystemMonitor
Source0:        https://download.gnome.org/sources/%{name}/45/%{name}-%{version}.tar.xz

BuildRequires:  gcc gcc-c++ meson itstool polkit-devel gettext desktop-file-utils gtk4
BuildRequires:  pkgconfig(gtk+-3.0) pkgconfig(gtkmm-3.0) pkgconfig(libsystemd)
BuildRequires:  pkgconfig(librsvg-2.0) pkgconfig(libxml-2.0) pkgconfig(libhandy-1) >= %{libhandy_version}
BuildRequires:  pkgconfig(libgtop-2.0) >= %{libgtop2_version}

Requires:       hicolor-icon-theme
Requires:       libgtop2%{?_isa} >= %{libgtop2_version}
Requires:       libhandy%{?_isa} >= %{libhandy_version}

%description
gnome-system-monitor is a system and process monitor for the GNOME
desktop. It shows running processses and available resources on
the system.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/gnome-system-monitor.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/gnome-system-monitor-kde.desktop

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/gnome-system-monitor
%{_datadir}/applications/gnome-system-monitor.desktop
%{_datadir}/applications/gnome-system-monitor-kde.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.gschema.xml
%{_datadir}/gnome-system-monitor/
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.SystemMonitor*.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.SystemMonitor-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/apps/speedometer-symbolic.svg
%{_datadir}/metainfo/gnome-system-monitor.appdata.xml
%{_datadir}/polkit-1/actions/org.gnome.gnome-system-monitor.policy
%{_libexecdir}/gnome-system-monitor/

%changelog
* Mon Jan 15 2024 kkz <zhaoshuang@uniontech.com> - 45.0.2-1
- Upgrade to 45.0.2

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 42.0-1
- Upgrade to 42.0

* Fri Nov 15 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.28.2-2
- Delete unused buildrequires

* Thu Nov 14 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.28.2-1
- Package init
